org.eclipse.wst.jsdt.chromium

## Interface RestartFrameExtension

    public interface RestartFrameExtension

An extension to `CallFrame` API that supports restart frame operation. Some backends or VM versions may not support it.

See Also:
  `JavascriptVm.getRestartFrameExtension()`

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `canRestartFrame(CallFrame callFrame)`
`RelayOk` `restartFrame(CallFrame callFrame, GenericCallback<java.lang.Boolean> callback, SyncCallback syncCallback)` Restarts a frame (all frames above are dropped from the stack, this frame is started over).

### Method Detail

#### restartFrame

    RelayOk restartFrame(CallFrame callFrame,
                         GenericCallback<java.lang.Boolean> callback,
                         SyncCallback syncCallback)

Restarts a frame (all frames above are dropped from the stack, this frame is started over).

Parameters:
  `callback` - is notified about operation outcome; for success the boolean parameter is true if VM has been resumed and is expected to get suspended again in a moment (with a standard 'resumed' notification), and is false if callframes list is already updated without VM state change (this case presently is never actually happening)

#### canRestartFrame

    boolean canRestartFrame(CallFrame callFrame)

Returns:
  whether reset operation is supported for the particular callFrame